<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * Fcm_result model class
 */

class Fcm_result_model extends MY_Model
{

    /**
     * 테이블명
     */
    public $_table = 'fcm_result';

    /**
     * 사용되는 테이블의 프라이머리키
     */
    public $primary_key = 'id'; // 사용되는 테이블의 프라이머리키

    function __construct()
    {
        parent::__construct();
    }

    public function get_admin_list($limit = '', $offset = '', $where = '', $like = '', $findex = '', $forder = '', $sfield = '', $skeyword = '', $sop = 'OR')
    {
        $result = $this->_get_list_common('', '', $limit, $offset, $where, $like, $findex, $forder, $sfield, $skeyword, $sop);

        return $result;
    }

	public function get_pushsend($company_id)
	{
		$this->db->where('company_id', $company_id);
		$this->db->order_by('as_name', 'asc');
		$qry = $this->db->get($this->_table);
		$result = $qry->result_array();
		return $result;
	}
}
